## ros-galactic-compressed-image-transport 2.3.3

=== debian/changelog ===
ros-galactic-compressed-image-transport (2.3.3-1focal) focal; urgency=high

  * Avoid parameter exception for compressed image transport (#86 <https://github.com/ros-perception/image_transport_plugins/issues/86>)
  * Contributors: Daisuke Nishimatsu

 -- David Gossow <dgossow@willowgarage.com>  Fri, 08 Apr 2022 07:00:00 -0000

ros-galactic-compressed-image-transport (2.3.1-1focal) focal; urgency=high

  * [ros2] Fix RCLCPP_* logs, a string literal must be the first argument (#72 <https://github.com/ros-perception/image_transport_plugins/issues/72>)
  * Contributors: Ivan Santiago Paunovic, Łukasz Mitka

 -- David Gossow <dgossow@willowgarage.com>  Tue, 13 Jul 2021 07:00:00 -0000

ros-galactic-compressed-image-transport (2.3.0-1focal) focal; urgency=high

  * Use non-deprecated image_transport headers (#59 <https://github.com/ros-perception/image_transport_plugins/issues/59>)
  * Add parameter declarations (#52 <https://github.com/ros-perception/image_transport_plugins/issues/52>)
  * Contributors: Michael Carroll, Łukasz Mitka

 -- David Gossow <dgossow@willowgarage.com>  Thu, 28 May 2020 07:00:00 -0000

ros-galactic-compressed-image-transport (2.2.1-1focal) focal; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-compressed-image-transport (2.2.0-1focal) focal; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 27 Sep 2019 07:00:00 -0000

ros-galactic-compressed-image-transport (2.1.0-1focal) focal; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 23 Aug 2019 07:00:00 -0000

ros-galactic-compressed-image-transport (2.0.0-1focal) focal; urgency=high

  * Pointer api updates (#31 <https://github.com/ros-perception/image_transport_plugins/issues/31>)
  * Update compressed_image_transport to ros2 (#26 <https://github.com/ros-perception/image_transport_plugins/issues/26>)
  * Contributors: Michael Carroll, Jose Luis Rivero

 -- David Gossow <dgossow@willowgarage.com>  Thu, 13 Dec 2018 08:00:00 -0000

ros-galactic-compressed-image-transport (1.9.5-1focal) focal; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Mon, 03 Oct 2016 07:00:00 -0000

ros-galactic-compressed-image-transport (1.9.4-1focal) focal; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn

 -- David Gossow <dgossow@willowgarage.com>  Sun, 02 Oct 2016 07:00:00 -0000

ros-galactic-compressed-image-transport (1.9.3-1focal) focal; urgency=high

  * remove useless tf dependencies
  * Using cfg-defined constants
  * Changed flag name, and corrected typo in flag use.
  * using IMREAD flags.
  * Updated for indigo-devel
  * Contributors: Cedric Pradalier, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sun, 17 Jan 2016 08:00:00 -0000

ros-galactic-compressed-image-transport (1.9.2-1focal) focal; urgency=high

  * get code to compile with OpenCV3
  * avoid yet another image copy
  * avoid copying data if it can be shared
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 25 Apr 2015 07:00:00 -0000

ros-galactic-compressed-image-transport (1.9.1-1focal) focal; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 18 Jul 2014 07:00:00 -0000

ros-galactic-compressed-image-transport (1.9.0-1focal) focal; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 16 May 2014 07:00:00 -0000

ros-galactic-compressed-image-transport (1.8.21-1focal) focal; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow

 -- David Gossow <dgossow@willowgarage.com>  Thu, 27 Jun 2013 07:00:00 -0000

ros-galactic-compressed-image-transport (1.8.20-1focal) focal; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Mon, 18 Mar 2013 07:00:00 -0000

ros-galactic-compressed-image-transport (1.8.19-1focal) focal; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Sun, 24 Feb 2013 08:00:00 -0000

ros-galactic-compressed-image-transport (1.8.18-1focal) focal; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Fri, 08 Feb 2013 01:59:00 -0000

ros-galactic-compressed-image-transport (1.8.17-1focal) focal; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Fri, 18 Jan 2013 08:00:00 -0000

ros-galactic-compressed-image-transport (1.8.16-1focal) focal; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Thu, 17 Jan 2013 08:00:00 -0000

ros-galactic-compressed-image-transport (1.8.15-1focal) focal; urgency=high

  * fix typo
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 29 Dec 2012 04:11:00 -0000

ros-galactic-compressed-image-transport (1.8.14-1focal) focal; urgency=high

  * fix the bad xml naming
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 29 Dec 2012 04:02:00 -0000

ros-galactic-compressed-image-transport (1.8.13-1focal) focal; urgency=high

  * fix the bad exports
  * make sure the plugins are visible by image_transport
  * added license headers to various cpp and h files
  * Contributors: Aaron Blasdel, Vincent Rabaud


